Controllers/ProjectController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Website.Models;
using Website.StaticData;

namespace Website.Controllers
{
    public class ProjectController : Controller
    {
        private readonly MyDbContext _db;

        public ProjectModel Project {get; set;}
        public ProjectController(MyDbContext db)
        {
                _db = db;
        }

        public IActionResult Index()
        {
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }
            List<ProjectModel> project = new List<ProjectModel>();
            for(int i = 1; i < 11; i++){
                project.Add(_db.Projects.FirstOrDefault(p => p.Id == i));
            }
            return View("ViewAll", project);
        }

        public IActionResult Add(int? id)
        {
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }
            Project = new ProjectModel();
            return View(Project);
        }
        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult Add()
        {
            if (!(UserController.sessionState)|| UserController.role != "Admin")
            {
                return RedirectToAction("Login", "User");
            }
            Project.AdminId = UserController.userId;
            if (ModelState.IsValid)
            {
                _db.Projects.Add(Project);
                _db.SaveChanges();
            }
            Project = new ProjectModel();
            return View(Project);
        }
    }
}

Controllers/TaskController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using Website.Models;

namespace Website.Controllers
{
    public class TaskController : Controller
    {
        private readonly MyDbContext _db;

        [BindProperty]
        public TaskModel Task { get; set; }
        public TaskController (MyDbContext db)
        {
            _db = db;
        }

        public async Task<IActionResult> Index(string searchString, string id)
        {
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }

            var tasks = from m in _db.Tasks
                        select m;

            if (!String.IsNullOrEmpty(searchString))
            {
                tasks = tasks.Where(s => s.TaskName.Contains(searchString));
            }
            if (!String.IsNullOrEmpty(id))
            {
                try
                {
                    var convertToNum = Int32.Parse(id);
                    tasks = tasks.Where(s => s.ProjectId.Equals(convertToNum));
                }
                catch
                {

                }
                
            }

            return View(await tasks.ToListAsync());
        }

        /*public IActionResult Index()
        {
            List<TaskModel> tasks = new List<TaskModel>();
            for (int i = 1; i < 11; i++)
            {
                tasks.Add(_db.Tasks.FirstOrDefault(p => p.TaskId == i));
            }
            return View(tasks);
        }*/

        public IActionResult Create([Bind("TaskId", "TaskName","TaskDescription", "StartDate", "DueDate", "Progress", "Flags", "Comments", "ProjectId", "UserId")]Models.TaskModel addTask)
        {
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }
            if (ModelState.IsValid)
            {
                _db.Tasks.Add(addTask);
                _db.SaveChanges();
                return Redirect("Index");
            }
            return View("Create");

        }

        public IActionResult Details(int? id)
        {
            List<TaskModel> tasks = new List<TaskModel>();
            if (!id.HasValue)
            {
                for (int i = 1; i < 11; i++)
                {
                    tasks.Add(_db.Tasks.FirstOrDefault(p => p.TaskId == i));
                }
                return View(tasks);
            }

            tasks.Add(_db.Tasks.FirstOrDefault(p => p.TaskId == id.Value));
            return View(tasks);
        }

        public async Task<IActionResult> Edit(int? id)
        {
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }

            if (id == null)
            {
                return NotFound();
            }

            var task = await _db.Tasks.FindAsync(id);
            if (task == null)
            {
                return NotFound();
            }
            return View(task);
        }

        public async Task<IActionResult> Delete(int? id)
        {
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }
            //if (!UserController.sessionState)
            //return RedirectToAction("User", "Login");
            if (id == null)
            {
                return NotFound();
            }

            var task = await _db.Tasks
                .FirstOrDefaultAsync(m => m.TaskId == id);
            if (task == null)
            {
                return NotFound();
            }

            return View(task);
        }

        [HttpPost, ActionName("Delete")]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            var task = await _db.Tasks.FindAsync(id);
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }
            _db.Tasks.Remove(task);
            await _db.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool TaskExists(int id)
        {
            return _db.Tasks.Any(e => e.TaskId == id);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("TaskId", "TaskName","TaskDescription", "StartDate", "DueDate", "Progress", "Flags", "Comments", "ProjectId", "UserId")] TaskModel task)
        {
            if (!(UserController.sessionState))
            {
                return RedirectToAction("Login", "User");
            }

            if (id != task.TaskId)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _db.Update(task);
                    await _db.SaveChangesAsync().ConfigureAwait(false);
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!TaskExists(task.TaskId))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(task);
        }

        

    }
}

Views/Shared/DoesntExist.cshtml
@model ErrorViewModel
@{
    ViewData["Title"] = "Error";
}

<h1 class="text-danger">Error.</h1>
<h2 class="text-danger">The page you requested does not exist.</h2>

@if (Model.ShowRequestId)
{
    <p>
        <strong>Request ID:</strong> <code>@Model.RequestId</code>
    </p>
}

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
@{
    @using Microsoft.AspNetCore.Http;   
    @using Website.Controllers;
}

<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Website</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <link rel="stylesheet" href="~/css/custom.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">G.W.A.T.T</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                    </li>
                    @if(!UserController.sessionState) //not session
                    {
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="User" asp-action="Login">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="User" asp-action="Register">(Register TeamLead)</a>
                    </li>
                    } else { // else (session exists)
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="User" asp-action="Logout">Logout</a>
                        </li>
                        if (UserController.role == "Admin") { //if admin
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="User" asp-action="RegisterMember">(Add TeamMembers)</a>
                            </li>
                        }
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Task" asp-action="Index">Task</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Project" asp-action="Index">Project</a>
                        </li>
                    }
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - G.W.A.T.T - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>